# -*- coding: latin-1 -*-
'''
rfcShellCBH.py

Copyright 2007 Mariano Nuez Di Croce @ CYBSEC

This file is part of sapyto, http://www.cybsec.com/EN/research/tools/sapyto.php

sapyto is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation version 2 of the License.

sapyto is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with sapyto; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
'''
from core.rfc.callBackHandlers.baseCallBackHandler import baseCallBackHandler
import core.rfc.rfcShell as rfcShell
import saprfcutil
import saprfc

class rfcShellCBH(baseCallBackHandler):
	'''
	RFCShell callback Handler.
	This class instantiates a rfcShell based on a call requested from a SAP R/3 Application Server.
	If the user who performed the call has proper authorizations (), we can get a rfc shell on the R/3.
	
	@author: Mariano Nuez Di Croce <mnunez@cybsec.com>
	'''
	def __init__(self):
		baseCallBackHandler.__init__(self)
		self._iface = None
	
	def setIface(self, iface):
		self._iface = iface 
	
	def handler(self, iface, srfc):
		# TODO: Print calling user srfc.sysinfo['user']
		return True
