#! /usr/bin/python2.3

import sys
if sys.version < '2.3':
	print "\n\n   You Must Have Python Version >= 2.3  To Install saprfc \n\n"
	sys.exit(1)


from distutils.core import setup, Extension
import os, sys

incdirs = []
libdirs = []
libs = []
if sys.platform=='win32':
	print "This version of sapyto isn't supported on Windows."
	print "Future releases will be."
	sys.exit(-1)
else:
	incdirs = ['/usr/sap/rfcsdk/include']
	libdirs = ['/usr/sap/rfcsdk/lib']
	libs = ['rfccm', 'pthread', 'dl', 'm', 'c']


saprfcutil_ext = Extension('saprfcutil',
                    include_dirs = incdirs,
                    library_dirs = libdirs,
                    libraries = libs,
                    sources = ['src/saprfcutil.c']                   
                    )


setup(name = "sapyto", version = "0.9",
      description="sapyto - SAP Penetration Test Framework",
      author="Mariano Nunez Di Croce <mnunez@cybsec.com>",
      author_email="mnunez@cybsec.com",
      url="http://www.cybsec.com/EN/research/tools/sapyto.php",
      py_modules = ['saprfc'],
      ext_modules = [saprfcutil_ext]
      )
